import os
import platform

def clear_terminal():
    """Clears the terminal screen."""
    current_os = platform.system()
    if current_os == "Windows":
        os.system('cls')
    elif current_os in ["Linux", "Darwin"]:
        os.system('clear')
    else:
        print("Unsupported operating system.")
